Package com.sas.metadata.remote

# Class MdException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.metadata.remote.MdException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `UnsupportedPlatformVersionException`

public class MdException extends Exception
This exception type is used to define a metadata exception in general, whether it be a read/write/parse exception itself.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static MetadataResource`
  `bundle`
  Bundle to load text resources from.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MdException()`
  `MdException(String s)`
  `MdException(String s, String SAS_Message, String SAS_MessageSeverity)`
  `MdException(Throwable t)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getCause()`
  `String`
  `getLocalizedMessage()`
  `String`
  `getMessage()`
  `String`
  `getSASMessage()`
  `String`
  `getSASMessageSeverity()`
  `Document`
  `parseXML(String strXML)`
  routine to parse a passed in xml string and return a dom document
  `void`
  `printStackTrace()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### bundle

    protected static MetadataResource bundle
    Bundle to load text resources from.

- ## Constructor Details

  - ### MdException

    public MdException()

  - ### MdException

    public MdException(String s)

  - ### MdException

    public MdException(Throwable t)

  - ### MdException

    public MdException(String s, String SAS_Message, String SAS_MessageSeverity)

- ## Method Details

  - ### getSASMessage

    public String getSASMessage()

  - ### getSASMessageSeverity

    public String getSASMessageSeverity()

  - ### getCause

    public Throwable getCause()
    Overrides:
      `getCause` in class `Throwable`

  - ### getLocalizedMessage

    public String getLocalizedMessage()
    Overrides:
      `getLocalizedMessage` in class `Throwable`

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`

  - ### printStackTrace

    public void printStackTrace()
    Overrides:
      `printStackTrace` in class `Throwable`

  - ### parseXML

    public Document parseXML(String strXML) throws MdException
    routine to parse a passed in xml string and return a dom document
    Parameters:
      `strXML` - is the string input to pass to the parser
    Returns:
      a dom document that can be traversed for the various xml pieces
    Throws:
      `MdException`